<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ORBusyLampField StructType
 * @subpackage Structs
 */
class ORBusyLampField extends AbstractStructBase
{
    /**
     * The blfDirn
     * Meta information extracted from the WSDL
     * - documentation: Either blfDest or the combination of blfDirn and routePartition is to be mentioned in the add/update request, if both are mentioned AXL will read only the blfDest tag and ignore blfDirn and routePartition.
     * - base: xsd:string
     * - choice: blfDirn | routePartition
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $blfDirn;
    /**
     * The routePartition
     * Meta information extracted from the WSDL
     * - choice: blfDirn | routePartition
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $routePartition;
    /**
     * Constructor method for ORBusyLampField
     * @uses ORBusyLampField::setBlfDirn()
     * @uses ORBusyLampField::setRoutePartition()
     * @param string $blfDirn
     * @param string $routePartition
     */
    public function __construct($blfDirn = null, $routePartition = null)
    {
        $this
            ->setBlfDirn($blfDirn)
            ->setRoutePartition($routePartition);
    }
    /**
     * Get blfDirn value
     * @return string|null
     */
    public function getBlfDirn()
    {
        return isset($this->blfDirn) ? $this->blfDirn : null;
    }
    /**
     * Set blfDirn value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $blfDirn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORBusyLampField
     */
    public function setBlfDirn($blfDirn = null)
    {
        if (is_null($blfDirn) || (is_array($blfDirn) && empty($blfDirn))) {
            unset($this->blfDirn);
        } else {
            $this->blfDirn = $blfDirn;
        }
        return $this;
    }
    /**
     * Get routePartition value
     * @return string|null
     */
    public function getRoutePartition()
    {
        return isset($this->routePartition) ? $this->routePartition : null;
    }
    /**
     * Set routePartition value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $routePartition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORBusyLampField
     */
    public function setRoutePartition($routePartition = null)
    {
        if (is_null($routePartition) || (is_array($routePartition) && empty($routePartition))) {
            unset($this->routePartition);
        } else {
            $this->routePartition = $routePartition;
        }
        return $this;
    }
}
